#5406 Create Fedora 18 test compose (TC) and release candidate (RC)

Created 4 years ago by adamwill
Modified 9 months ago

As FESCo moved up the freeze date at their meeting this week:

https://lists.fedoraproject.org/pipermail/devel/2012-December/174883.html

to 12-11(!), we should start doing TCs ASAP. So far as I know the current tree should be successfully spinnable, smoketests have been coming out okay.

We should pull in the latest anaconda: https://admin.fedoraproject.org/updates/FEDORA-2012-19870/anaconda-18.36-1.fc18 - it has +2 karma so it's looking good.

We should probably also pull in https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-60.fc18 (it was pushed stable very recently), to verify that -60 fixes the problems from -57 thru -59 in all cases.

There is a shim-signed package in updates-testing, I'm not sure if we want to pull that in and if the necessary adjustments have been made to comps and/or anaconda to make it actually be used.

So, i386 install media composes.
x86_64 install media does not, due to needing a newer version of shim.

Should we pull a newer shim into the compose?

ok, using:

lorax-18.22-7.fc18

livecd-tools-18.12-2.fc18

KDE live images failed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4768309

http://koji.fedoraproject.org/koji/taskinfo?taskID=4768310

It doesn't look like a kde ks issue, I am not sure whats going on, but we should probibly track it down before doing all the spins.

Also, when we pull the newer lorax we likely need new shim also. :)

http://dl.fedoraproject.org/pub/alt/stage/18-TC1/

Re-opening for TC2. Please pull:

Note that you may need to disable SELinux on the buildhost for the lives and/or downgrade to selinux-policy -50, if the buildhost is an F18 box: bcl and I are seeing odd issues building live images with SELinux enabled (permissive or enforcing) on hosts with selinux-policy -60+. See https://bugzilla.redhat.com/show_bug.cgi?id=886733 for the story so far on that.

DON'T pull in the libvirt update that fixes an NTH issue: there's a regression in it that we want to fix first.

http://dl.fedoraproject.org/pub/alt/stage/18-TC2/

Robotics live DVD to come and Games spin is failing to compose

cat /srv/pungi/18-TC2/logs/Fedora.*.repoclosure.log
Added i386 repo from /srv/pungi/18-TC2/18-TC2/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4173
Added x86_64 repo from /srv/pungi/18-TC2/18-TC2/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4163

just to give an update, there is issues with lorax and shim in the current package set. I will need to talk to pjones on monday to work out what the correct fix will be.

http://dl.fedoraproject.org/pub/alt/stage/18-TC3/

to sort out lorax/shim I have pulled in shim-signed-0.2-3.2.fc18

live dvds are not yet up.

Requesting TC4, for all the stuff that's built up since TC3. In addition to what's in stable, please pull:

Blocker

NTH

tflink may advise on any further changes or consideration needed for fedup.

What version of lorax has been used? lorax-18.29-1.fc18 is needed for https://bugzilla.redhat.com/show_bug.cgi?id=875846 (currently in updates-testing).

Re-opening for RC1. Note, there is a big caveat regarding https://bugzilla.redhat.com/show_bug.cgi?id=892097 and https://bugzilla.redhat.com/show_bug.cgi?id=892110 , but they are both only proposed blockers. All accepted blockers are currently addressed, so this build can legitimately be named RC1.

Please pull, in addition to the stuff that was pushed stable quite recently:

Blocker

NTH

Note do NOT pull the stuff listed under "Fix cut and paste (might need a gtk3 patch too):" for 889760, we do not think it's a good idea to touch pygobject3 this late.

Please ensure [https://admin.fedoraproject.org/updates/FEDORA-2012-20810/fedup-dracut-0.7.2-1.fc18 fedup-dracut-0.7.2-1.fc18], [https://admin.fedoraproject.org/updates/FEDORA-2012-20843/pungi-2.13-1.fc18 pungi-2.13-1.fc18] and [https://admin.fedoraproject.org/updates/FEDORA-2013-0283/NetworkManager-0.9.7.0-12.git20121004.fc18 NetworkManager-0.9.7.0-12.git20121004.fc18] make it into the compose - they were only recently pushed stable. Please ensure the latest lorax and pungi are used in composing the images. And please remember to flip the betanag switch for the DVD/netinst compose!

OK, plan change. In addition to the all of the above, please DO pull:

Blocker

NTH

Let's take all the Sugar fixes, as pbrobinson says they're very significant for Sugar. We can revert if we have to, we do have time for that. We have three votes to fix firstboot in https://bugzilla.redhat.com/show_bug.cgi?id=892097 , so let's go with that plan for RC1. We can adjust approach if necessary later.

Replying to [comment:17 ausil]:

http://dl.fedoraproject.org/pub/alt/stage/18-RC1/

Dennis,
from .buildstamp it looks like lorax 18.24-1 was used to compose RC1 (if the version in .buildstamp is correct, mgracik checked it and it should be correct). For #875846 we need the latest one.

Could you recheck it please?

re-opening for RC2. Only one package to add:

Blocker

Also, please fix the problem which led to RC1 being composed with the old lorax. Thanks!

Re-opening for RC3. Only change is:

Just updating release notes, so all RC2 testing should remain valid.

Instead, please use fedora-release-notes-18.0.0-3.fc18

It fixes a few things about fedup in the release notes, per tflink's request

To formalize it...new RC3 request, disregard above:

To keep this ticket up to date, for the record, RC4 (now being spun) contains:

The bug is not accepted as a blocker, but there is a chance it may be, so we did the RC4 build to hedge our bets: we will have both builds to choose from. The existence of RC4 doesn't stop us simply choosing to ship RC3.

9 months ago

Metadata Update from @adamwill:
- Issue set to the milestone: Fedora 18 Final

Login to comment on this ticket.

cancel